"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class RDFamilyChangeCode(object):
    """
    This code define the change type:  * `FamilyAdded`: This is a new
    family. * `FamilyDeleted`: This family should be removed. *
    `ProbandChanged`: The proband participant is now a different
    member of the family. * `ParticipantAdded`: A new participant has
    been sequenced and added to the family. * `ParticipantRemoved`: A
    participant has been removed. * `ConsentStatusChanged`: One or
    more participant in this family has a different consent status. *
    `AffectionStatusChanged`: HPOterms or Disorder changed in one or
    more participants in this family. * `PanelAssignmentChanged`: Gene
    Panels has changed in this family. * `SexChanged`: Sex has changed
    for one or more participants in this family. * `SampleChanged`:
    The sample/s associated to one or more participant in this family
    has changed.
    """

    FamilyAdded = "FamilyAdded"
    FamilyDeleted = "FamilyDeleted"
    ProbandChanged = "ProbandChanged"
    ParticipantAdded = "ParticipantAdded"
    ParticipantRemoved = "ParticipantRemoved"
    ConsentStatusChanged = "ConsentStatusChanged"
    AffectionStatusChanged = "AffectionStatusChanged"
    PanelAssignmentChanged = "PanelAssignmentChanged"
    SexChanged = "SexChanged"
    SampleChanged = "SampleChanged"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "1.0.1"
